import { Navigate } from 'react-router-dom';

import { loginAsync } from '../redux/auth/thunks';

import useAppDispatch from '../hooks/useAppDispatch';
import useIsAuth from '../hooks/useIsAuth';

const LoginView = () => {
  const dispatch = useAppDispatch();

  const isAuth = useIsAuth();

  if (isAuth) {
    return <Navigate to="/feed" />;
  }

  return (
    <>
      <button
        type="button"
        onClick={() => {
          dispatch(loginAsync('j.metterrothan@unistra.fr', 'DWEB2023'));
        }}
      >
        Login
      </button>
    </>
  );
};

export default LoginView;
